SDL_HINT_PEN_DELAY_MOUSE_BUTTON(3)

NAME
SDL_HINT_PEN_DELAY_MOUSE_BUTTON - A variable controlling whether pen mouse button emulation triggers only when the pen touches the tablet surface.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_PEN_DELAY_MOUSE_BUTTON    SDL_PEN_DELAY_MOUSE_BUTTON"

DESCRIPTION
The variable can be set to the following values: • "0": The pen reports mouse button press/release immediately when the pen
  button is pressed/released, and the pen tip touching the surface counts
  as left mouse button press. • "1": Mouse button presses are sent when the pen first touches the tablet
  (analogously for releases). Not pressing a pen button simulates mouse
  button 1, pressing the first pen button simulates mouse button 2 etc.; it
  is not possible to report multiple buttons as pressed at the same time.
  (default) This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.